[BACK]Return to fw_install.sh CVS log [TXT][DIR] Up to [local] / openbsd / fw_update

Diff for /openbsd/fw_update/fw_install.sh between version 1.64 and 1.65

version 1.64, 2021/12/09 02:37:38 version 1.65, 2021/12/09 02:51:25
Line 198 
Line 198 
 done  done
 shift $((OPTIND - 1))  shift $((OPTIND - 1))
   
 if [[ -n "${DOWNLOADDIR:-}" && -n "${LOCALDIR:-}" ]]; then  if [[ -n "$DOWNLOADDIR" && -n "$LOCALDIR" ]]; then
         echo "Cannot use -d and -L" >&2          echo "Cannot use -d and -L" >&2
         usage 2          usage 2
 fi  fi
Line 208 
Line 208 
 [ "${devices[*]:-}" ] ||  [ "${devices[*]:-}" ] ||
     set -A devices -- $( devices_needing_firmware )      set -A devices -- $( devices_needing_firmware )
   
 if [ ! "${devices:-}" ]; then  if [ ! "${devices[*]:-}" ]; then
         echo "No devices found which need firmware files to be downloaded."          echo "No devices found which need firmware files to be downloaded."
         exit          exit
 fi  fi
Line 221 
Line 221 
         d=$( firmware_devicename "$f" )          d=$( firmware_devicename "$f" )
         [ "$f" = "$d" ] && f="$( echo "$f"-firmware-*.tgz | sed '$!d' )"          [ "$f" = "$d" ] && f="$( echo "$f"-firmware-*.tgz | sed '$!d' )"
         if [ -e "$f" ]; then          if [ -e "$f" ]; then
                 if [ "${DOWNLOADDIR:-}" ]; then                  if [ "$DOWNLOADDIR" ]; then
                         echo "Cannot download local file $f" >&2                          echo "Cannot download local file $f" >&2
                         exit 2                          exit 2
                 fi                  fi
Line 262 
Line 262 
   
         set -A installed -- $( installed_firmware "$d" )          set -A installed -- $( installed_firmware "$d" )
   
         if [ ! "${DOWNLOADDIR:-}" ] && [ "${installed:-}" ]; then          if [ ! "$DOWNLOADDIR" ] && [ "${installed[*]:-}" ]; then
                 for i in "${installed[@]:-}"; do                  for i in "${installed[@]}"; do
                         if [ "${f##*/}" = "$i.tgz" ]; then                          if [ "${f##*/}" = "$i.tgz" ]; then
                                 echo "$i already installed"                                  echo "$i already installed"
                                 continue 2                                  continue 2
Line 275 
Line 275 
                 [ "$LOCALDIR" ] && echo "Cannot install $f, not found" >&2 && continue                  [ "$LOCALDIR" ] && echo "Cannot install $f, not found" >&2 && continue
                 fetch  "$f" || continue                  fetch  "$f" || continue
                 verify "$f" || continue                  verify "$f" || continue
         elif [ "${DOWNLOADDIR:-}" ]; then          elif [ "$DOWNLOADDIR" ]; then
                 echo "Already have $f"                  echo "Already have $f"
                 verify "$f" || continue                  verify "$f" || continue
         fi          fi
   
         [ "${DOWNLOADDIR:-}" ] && continue          [ "$DOWNLOADDIR" ] && continue
   
         if [ "${installed:-}" ]; then          if [ "${installed[*]:-}" ]; then
                 for i in "${installed[@]}"; do                  for i in "${installed[@]}"; do
                         delete_firmware "$i"                          delete_firmware "$i"
                 done                  done

Legend:
Removed from v.1.64  
changed lines
  Added in v.1.65

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>